curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions/sub_6f7XtMLymQx3f \
-X DELETE \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.delete('sub_6f7XtMLymQx3f');
response = method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.delete('sub_6f7XtMLymQx3f')
{
"id": "sub_6f7XtMLymQx3f",
"name": "credit_score",
"status": "inactive",
"payload": null,
"latest_request_id": "crs_pn4ca33GXFaCE",
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
Subscriptions
Delete a Subscription
DELETE
/
entities
/
{ent_id}
/
subscriptions
/
{sub_id}
curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions/sub_6f7XtMLymQx3f \
-X DELETE \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.delete('sub_6f7XtMLymQx3f');
response = method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.delete('sub_6f7XtMLymQx3f')
{
"id": "sub_6f7XtMLymQx3f",
"name": "credit_score",
"status": "inactive",
"payload": null,
"latest_request_id": "crs_pn4ca33GXFaCE",
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
Deleting a Subscription means to unsubscribe or unenroll an Entity from automatically
receiving new Product resources.
Path Parameters
Returns
Returns a Subscription object.curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions/sub_6f7XtMLymQx3f \
-X DELETE \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.delete('sub_6f7XtMLymQx3f');
response = method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.delete('sub_6f7XtMLymQx3f')
{
"id": "sub_6f7XtMLymQx3f",
"name": "credit_score",
"status": "inactive",
"payload": null,
"latest_request_id": "crs_pn4ca33GXFaCE",
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
⌘I